Package org.eclipse.cdt.core.model.util

## Class CElementBaseLabels

- java.lang.Object
- - org.eclipse.cdt.core.model.util.CElementBaseLabels

    @Deprecated
    public class CElementBaseLabels
    extends Object

Deprecated.
Use org.eclipse.cdt.ui.CElementLabelProvider instead. Internally you can also use org.eclipse.cdt.internal.ui.viewsupport.CElementLabels.
Creates labels for ICElement objects.

### Field Summary

Fields
`static int` `ALL_DEFAULT` Deprecated. Default options (M_PARAMETER_TYPES enabled)
`static int` `ALL_FULLY_QUALIFIED` Deprecated. Qualify all elements
`static int` `ALL_POST_QUALIFIED` Deprecated. Post qualify all elements
`static int` `APPEND_ROOT_PATH` Deprecated. Add source root path.
`static String` `COMMA_STRING` Deprecated. Separator for parameters, base classes, exceptions, etc.
`static String` `CONCAT_STRING` Deprecated. Separator for appending qualifiers
`static String` `DECL_STRING` Deprecated. Separator for appending (return) type
`static int` `DEFAULT_POST_QUALIFIED` Deprecated. Default post qualify options (All except Root)
`static int` `DEFAULT_QUALIFIED` Deprecated. Default qualify options (All except Root)
`static int` `F_APP_TYPE_SIGNATURE` Deprecated. Field names contain the declared type (appended) e.g.
`static int` `F_FULLY_QUALIFIED` Deprecated. Fields names are fully qualified.
`static int` `F_POST_QUALIFIED` Deprecated. Fields names are post qualified.
`static int` `F_PRE_TYPE_SIGNATURE` Deprecated. Field names contain the declared type (prepended) e.g.
`static int` `F_SIMPLE_NAME` Deprecated. Static field names without qualifier.
`static int` `M_APP_RETURNTYPE` Deprecated. Method names contain return type (appended) e.g.
`static int` `M_EXCEPTIONS` Deprecated. Method names contain thrown exceptions.
`static int` `M_FULLY_QUALIFIED` Deprecated. Method names are fully qualified.
`static int` `M_PARAMETER_TYPES` Deprecated. Method names contain parameter types.
`static int` `M_POST_QUALIFIED` Deprecated. Method names are post qualified.
`static int` `M_PRE_RETURNTYPE` Deprecated. Method names contain return type (appended) e.g.
`static int` `M_SIMPLE_NAME` Deprecated. Method definition names without qualifier.
`static int` `MF_POST_FILE_QUALIFIED` Deprecated. Post qualify symbols with file.
`static int` `PREPEND_ROOT_PATH` Deprecated. Prepend source root path.
`static int` `PROJECT_POST_QUALIFIED` Deprecated. Post qualify container project.
`static int` `ROOT_POST_QUALIFIED` Deprecated. Source roots contain the project name (appended).
`static int` `ROOT_QUALIFIED` Deprecated. Source roots contain the project name (prepended).
`static int` `T_FULLY_QUALIFIED` Deprecated. Type names are fully qualified.
`static int` `T_INHERITANCE` Deprecated. Append base class specifications to type names.
`static int` `TEMPLATE_ARGUMENTS` Deprecated. Instances and specializations are qualified with arguments, templates with template parameter names.
`static int` `TEMPLATE_PARAMETERS` Deprecated. Templates are qualified with template parameters.
`static int` `TU_POST_QUALIFIED` Deprecated. Translation unit names are post qualified with their path.
`static int` `TU_QUALIFIED` Deprecated. Translation unit names contain the full path.

### Constructor Summary

Constructors
`CElementBaseLabels()` Deprecated.

### Method Summary

All Methods Static Methods Concrete Methods Deprecated Methods
`static void` `getContainerLabel​(ICContainer container, int flags, StringBuffer buf)` Deprecated. Appends the label for a container to a StringBuffer.
`static String` `getElementLabel​(ICElement element, int flags)` Deprecated. Returns the label for an element.
`static void` `getElementLabel​(ICElement element, int flags, StringBuffer buf)` Deprecated. Appends the label for an element to a StringBuffer.
`static void` `getEnumeratorLabel​(IEnumerator var, int flags, StringBuffer buf)` Deprecated. Appends the label for an enumerator to a StringBuffer.
`static void` `getFieldLabel​(IField field, int flags, StringBuffer buf)` Deprecated. Appends the label for a field to a StringBuffer.
`static void` `getFunctionLabel​(IFunctionDeclaration func, int flags, StringBuffer buf)` Deprecated. Appends the label for a function declaration to a StringBuffer.
`static void` `getMacroLabel​(IMacro macro, int flags, StringBuffer buf)` Deprecated. Appends the label for a macro definition to a StringBuffer.
`static void` `getMethodLabel​(IMethodDeclaration method, int flags, StringBuffer buf)` Deprecated. Appends the label for a method declaration to a StringBuffer.
`static ISourceRoot` `getSourceRoot​(ICElement element)` Deprecated. Returns the source root of `ICElement`.
`static void` `getSourceRootLabel​(ISourceRoot root, int flags, StringBuffer buf)` Deprecated. Appends the label for a source root to a StringBuffer.
`static void` `getTranslationUnitLabel​(ITranslationUnit tu, int flags, StringBuffer buf)` Deprecated. Appends the label for a translation unit to a StringBuffer.
`static void` `getTypeDefLabel​(ITypeDef typedef, int flags, StringBuffer buf)` Deprecated. Appends the label for a type definition to a StringBuffer.
`static void` `getTypeLabel​(ICElement elem, int flags, StringBuffer buf)` Deprecated. Appends the label for a type to a StringBuffer.
`static void` `getVariableLabel​(IVariableDeclaration var, int flags, StringBuffer buf)` Deprecated. Appends the label for a variable declaration to a StringBuffer.
`static boolean` `isReferenced​(ISourceRoot root)` Deprecated. Returns `true` if the given source root is referenced.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### M_PARAMETER_TYPES

    public static final int M_PARAMETER_TYPES

Deprecated.
Method names contain parameter types. e.g. `foo(int)`

See Also:
  Constant Field Values

#### M_SIMPLE_NAME

    public static final int M_SIMPLE_NAME

Deprecated.
Method definition names without qualifier. e.g. `foo(int)`

Since:
  5.1
See Also:
  Constant Field Values

#### M_EXCEPTIONS

    public static final int M_EXCEPTIONS

Deprecated.
Method names contain thrown exceptions. e.g. `foo throw( IOException )`

See Also:
  Constant Field Values

#### M_APP_RETURNTYPE

    public static final int M_APP_RETURNTYPE

Deprecated.
Method names contain return type (appended) e.g. `foo : int`

See Also:
  Constant Field Values

#### M_PRE_RETURNTYPE

    public static final int M_PRE_RETURNTYPE

Deprecated.
Method names contain return type (appended) e.g. `int foo`

See Also:
  Constant Field Values

#### M_FULLY_QUALIFIED

    public static final int M_FULLY_QUALIFIED

Deprecated.
Method names are fully qualified. e.g. `ClassName::size`

See Also:
  Constant Field Values

#### M_POST_QUALIFIED

    public static final int M_POST_QUALIFIED

Deprecated.
Method names are post qualified. e.g. `size - ClassName`

See Also:
  Constant Field Values

#### TEMPLATE_PARAMETERS

    public static final int TEMPLATE_PARAMETERS

Deprecated.
Templates are qualified with template parameters. e.g. `ClassName<T>`

See Also:
  Constant Field Values

#### F_SIMPLE_NAME

    public static final int F_SIMPLE_NAME

Deprecated.
Static field names without qualifier. e.g. `fHello`

Since:
  5.1
See Also:
  Constant Field Values

#### F_APP_TYPE_SIGNATURE

    public static final int F_APP_TYPE_SIGNATURE

Deprecated.
Field names contain the declared type (appended) e.g. `fHello: int`

See Also:
  Constant Field Values

#### F_PRE_TYPE_SIGNATURE

    public static final int F_PRE_TYPE_SIGNATURE

Deprecated.
Field names contain the declared type (prepended) e.g. `int fHello`

See Also:
  Constant Field Values

#### F_FULLY_QUALIFIED

    public static final int F_FULLY_QUALIFIED

Deprecated.
Fields names are fully qualified. e.g. `ClassName::fField`

See Also:
  Constant Field Values

#### F_POST_QUALIFIED

    public static final int F_POST_QUALIFIED

Deprecated.
Fields names are post qualified. e.g. `fField - ClassName`

See Also:
  Constant Field Values

#### T_FULLY_QUALIFIED

    public static final int T_FULLY_QUALIFIED

Deprecated.
Type names are fully qualified. e.g. `namespace::ClassName`

See Also:
  Constant Field Values

#### TEMPLATE_ARGUMENTS

    public static final int TEMPLATE_ARGUMENTS

Deprecated.
Instances and specializations are qualified with arguments, templates with template parameter names. The flag overrides `TEMPLATE_PARAMETERS`.

Since:
  5.2
See Also:
  Constant Field Values

#### T_INHERITANCE

    public static final int T_INHERITANCE

Deprecated.
Append base class specifications to type names. e.g. `MyClass : public BaseClass`

See Also:
  Constant Field Values

#### TU_QUALIFIED

    public static final int TU_QUALIFIED

Deprecated.
Translation unit names contain the full path. e.g. `/MyProject/src/ClassName.cpp`

See Also:
  Constant Field Values

#### TU_POST_QUALIFIED

    public static final int TU_POST_QUALIFIED

Deprecated.
Translation unit names are post qualified with their path. e.g. `ClassName.cpp - /MyProject/src`

See Also:
  Constant Field Values

#### ROOT_QUALIFIED

    public static final int ROOT_QUALIFIED

Deprecated.
Source roots contain the project name (prepended). e.g. `MyProject/src`

See Also:
  Constant Field Values

#### ROOT_POST_QUALIFIED

    public static final int ROOT_POST_QUALIFIED

Deprecated.
Source roots contain the project name (appended). e.g. `src - MyProject`

See Also:
  Constant Field Values

#### APPEND_ROOT_PATH

    public static final int APPEND_ROOT_PATH

Deprecated.
Add source root path. e.g. `func() - MyProject/src` Option only applies to getElementLabel

See Also:
  Constant Field Values

#### PREPEND_ROOT_PATH

    public static final int PREPEND_ROOT_PATH

Deprecated.
Prepend source root path. e.g. `MyProject/src - func()` Option only applies to getElementLabel

See Also:
  Constant Field Values

#### PROJECT_POST_QUALIFIED

    public static final int PROJECT_POST_QUALIFIED

Deprecated.
Post qualify container project. For example `folder - MyProject` if the folder is in project MyProject.

See Also:
  Constant Field Values

#### MF_POST_FILE_QUALIFIED

    public static final int MF_POST_FILE_QUALIFIED

Deprecated.
Post qualify symbols with file. e.g. func() - /proj/folder/file.cpp

See Also:
  Constant Field Values

#### ALL_FULLY_QUALIFIED

    public static final int ALL_FULLY_QUALIFIED

Deprecated.
Qualify all elements

See Also:
  Constant Field Values

#### ALL_POST_QUALIFIED

    public static final int ALL_POST_QUALIFIED

Deprecated.
Post qualify all elements

See Also:
  Constant Field Values

#### ALL_DEFAULT

    public static final int ALL_DEFAULT

Deprecated.
Default options (M_PARAMETER_TYPES enabled)

See Also:
  Constant Field Values

#### DEFAULT_QUALIFIED

    public static final int DEFAULT_QUALIFIED

Deprecated.
Default qualify options (All except Root)

See Also:
  Constant Field Values

#### DEFAULT_POST_QUALIFIED

    public static final int DEFAULT_POST_QUALIFIED

Deprecated.
Default post qualify options (All except Root)

See Also:
  Constant Field Values

#### CONCAT_STRING

    public static final String CONCAT_STRING

Deprecated.
Separator for appending qualifiers

#### COMMA_STRING

    public static final String COMMA_STRING

Deprecated.
Separator for parameters, base classes, exceptions, etc.

#### DECL_STRING

    public static final String DECL_STRING

Deprecated.
Separator for appending (return) type

### Constructor Detail

#### CElementBaseLabels

    public CElementBaseLabels()

Deprecated.

### Method Detail

#### getElementLabel

    public static String getElementLabel​(ICElement element,
                                         int flags)

Deprecated.
Returns the label for an element.

Parameters:
  `element` - any element (IMethodDeclaration, IField, ITypeDef, IVariableDeclaration, etc.)
  `flags` - any of the flags (M_*, F_*, ROOT_*, etc.) defined in this class
Returns:
  the label

#### getElementLabel

    public static void getElementLabel​(ICElement element,
                                       int flags,
                                       StringBuffer buf)

Deprecated.
Appends the label for an element to a StringBuffer.

Parameters:
  `element` - any element (IMethodDeclaration, IField, ITypeDef, IVariableDeclaration, etc.)
  `flags` - any of the flags (M_*, F_*, ROOT_*, etc.) defined in this class
  `buf` - the buffer to append the label

#### getMacroLabel

    public static void getMacroLabel​(IMacro macro,
                                     int flags,
                                     StringBuffer buf)

Deprecated.
Appends the label for a macro definition to a StringBuffer.

Parameters:
  `macro` - a macro definition
  `flags` - `MF_POST_FILE_QUALIFIED`, or 0.
  `buf` - the buffer to append the label to.
Since:
  5.0

#### getMethodLabel

    public static void getMethodLabel​(IMethodDeclaration method,
                                      int flags,
                                      StringBuffer buf)

Deprecated.
Appends the label for a method declaration to a StringBuffer.

Parameters:
  `method` - a method declaration
  `flags` - any of the M_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getFieldLabel

    public static void getFieldLabel​(IField field,
                                     int flags,
                                     StringBuffer buf)

Deprecated.
Appends the label for a field to a StringBuffer.

Parameters:
  `field` - a field
  `flags` - any of the F_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getVariableLabel

    public static void getVariableLabel​(IVariableDeclaration var,
                                        int flags,
                                        StringBuffer buf)

Deprecated.
Appends the label for a variable declaration to a StringBuffer.

Parameters:
  `var` - a variable declaration
  `flags` - any of the F_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getEnumeratorLabel

    public static void getEnumeratorLabel​(IEnumerator var,
                                          int flags,
                                          StringBuffer buf)

Deprecated.
Appends the label for an enumerator to a StringBuffer.

Parameters:
  `var` - an enumerator
  `flags` - any of the F_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getFunctionLabel

    public static void getFunctionLabel​(IFunctionDeclaration func,
                                        int flags,
                                        StringBuffer buf)

Deprecated.
Appends the label for a function declaration to a StringBuffer.

Parameters:
  `func` - a function declaration
  `flags` - any of the M_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getTypeDefLabel

    public static void getTypeDefLabel​(ITypeDef typedef,
                                       int flags,
                                       StringBuffer buf)

Deprecated.
Appends the label for a type definition to a StringBuffer.

Parameters:
  `typedef` - a type definition
  `flags` - any of the F_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getSourceRootLabel

    public static void getSourceRootLabel​(ISourceRoot root,
                                          int flags,
                                          StringBuffer buf)

Deprecated.
Appends the label for a source root to a StringBuffer.

Parameters:
  `root` - a source root
  `flags` - any of the ROOT_* flags, and PROJECT_POST_QUALIFIED
  `buf` - the buffer to append the label

#### getContainerLabel

    public static void getContainerLabel​(ICContainer container,
                                         int flags,
                                         StringBuffer buf)

Deprecated.
Appends the label for a container to a StringBuffer.

Parameters:
  `container` - a container
  `flags` - any of the ROOT_* flags, and PROJECT_POST_QUALIFIED
  `buf` - the buffer to append the label

#### getTranslationUnitLabel

    public static void getTranslationUnitLabel​(ITranslationUnit tu,
                                               int flags,
                                               StringBuffer buf)

Deprecated.
Appends the label for a translation unit to a StringBuffer.

Parameters:
  `tu` - a translation unit
  `flags` - any of the TU_* flags
  `buf` - the buffer to append the label

#### getTypeLabel

    public static void getTypeLabel​(ICElement elem,
                                    int flags,
                                    StringBuffer buf)

Deprecated.
Appends the label for a type to a StringBuffer.

Parameters:
  `elem` - a type
  `flags` - any of the T_* flags, and MF_POST_FILE_QUALIFIED
  `buf` - the buffer to append the label

#### getSourceRoot

    public static ISourceRoot getSourceRoot​(ICElement element)

Deprecated.
Returns the source root of `ICElement`. If the given element is already a source root, the element itself is returned.

#### isReferenced

    public static boolean isReferenced​(ISourceRoot root)

Deprecated.
Returns `true` if the given source root is referenced. This means it is own by a different project but is referenced by the root's parent. Returns `false` if the given root doesn't have an underlying resource.